Skip to main content
Operations Management/Access Control/Console Service Operations
POSTConsole Service OperationsSince 0.6SynchronousAuth Required

RequestConsoleAccess

RequestConsoleAccess

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryConsoleInventoryRequired

    See inventory.

    • schemeStringRequired

      The type of the access protocol.

    • hostnameStringRequired

      The hostname.

    • portintRequired

      The port.

    • tokenStringRequired

      The token.

Endpoint

POST/zstack/v1/consoles

/zstack/v1/consoles

Operation ID

RequestConsoleAccess

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/consoles' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"vmInstanceUuid":"<vmInstanceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "scheme": "http", "hostname": "127.0.0.1", "port": 4900.0, "token": "d96caf24fae54c76b7652f548a258261" } }

Change History

This API has no change history records yet.

View all change history